The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PhpMyAdmin Bug

Discussion in 'Database Discussions' started by jackal, Aug 16, 2003.

  1. jackal

    jackal Well-Known Member
    PartnerNOC

    Joined:
    Feb 23, 2002
    Messages:
    708
    Likes Received:
    0
    Trophy Points:
    16
    Running phpmyadmin 2.5.2

    Cpanel 7.4.2 build E77
    php 4.3.2
    mysql 4.0.14

    This morning after upgrade get this in phpmyadmin



    You are using PHP 4.2.3, which has a serious bug with multi-byte strings (mbstring). See PHP bug report 19404. This version of PHP is not recommended for use with phpMyAdmin.


    But we are not running 4.2.3

    also this error

    Run a SQL query, then hit Edit in the SQL window. It'll open a seperate window for you to edit your SQL query. When you hit Go, you get a page not found on the main screen

    Here is my latest config file.
    Configure Command './configure' '--with-apxs=/usr/local/apache/bin/apxs' '--with-xml' '--enable-bcmath' '--enable-calendar' '--with-curl' '--enable-ftp' '--with-gd' '--with-jpeg-dir=/usr/local' '--with-png-dir=/usr' '--with-xpm-dir=/usr/X11R6' '--with-mcrypt' '--enable-magic-quotes' '--with-mysql' '--with-openssl' '--with-pear' '--enable-sockets' '--enable-track-vars' '--with-ttf' '--with-freetype-dir=/usr' '--enable-gd-native-ttf' '--enable-versioning' '--with-zlib'


    cPanel.net Support Ticket Number: 21124
     
    #1 jackal, Aug 16, 2003
    Last edited: Aug 16, 2003
  2. cPanelNick

    cPanelNick Administrator
    Staff Member

    Joined:
    Mar 9, 2015
    Messages:
    3,426
    Likes Received:
    2
    Trophy Points:
    38
    cPanel Access Level:
    DataCenter Provider
    The warning is disabled in edge 80+. php is patched against this bug, but phpMyAdmin does not realize this. We just removed the warning in the later build.

    cPanel.net Support Ticket Number:
     
  3. sexy_guy

    sexy_guy Well-Known Member

    Joined:
    Mar 19, 2003
    Messages:
    848
    Likes Received:
    0
    Trophy Points:
    16
    Nobody replied to those who need to compile --pgsql=/user into php with a solution on why some of us are getting this error. Its obvious why, no source and the .h file is missing. Since this was an RPM install how is one going recompile php to support postgresql? Not everyone had postgresql installed prior to the updates.

    cPanel.net Support Ticket Number:
     
  4. jackal

    jackal Well-Known Member
    PartnerNOC

    Joined:
    Feb 23, 2002
    Messages:
    708
    Likes Received:
    0
    Trophy Points:
    16
    Thanks Nick all works again ok.

    cPanel.net Support Ticket Number:
     
  5. abusedreality

    abusedreality Well-Known Member

    Joined:
    Apr 15, 2003
    Messages:
    54
    Likes Received:
    0
    Trophy Points:
    6
    Surely this is just hiding the problem,

    Is there any proof that php is patched to protect this?,

    Come on cPanel, you cant just expect to hide the error in order to fix the problem.

    Pull your finger out!
     
  6. khoonchee

    khoonchee Well-Known Member
    PartnerNOC

    Joined:
    Oct 2, 2002
    Messages:
    134
    Likes Received:
    0
    Trophy Points:
    16
    Does it fix as well on the latest build ? Sometimes we are getting the page not found / dns error ... thanks ..
     
Loading...

Share This Page